Skip to content
Start here

List Vectorize Indexes

client.vectorize.indexes.list(IndexListParams { account_id } params, RequestOptionsoptions?): SinglePage<CreateIndex { config, created_on, description, 2 more } >
GET/accounts/{account_id}/vectorize/v2/indexes

Returns a list of Vectorize Indexes

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Vectorize WriteVectorize Read
ParametersExpand Collapse
params: IndexListParams { account_id }
account_id: string

Identifier

maxLength32
ReturnsExpand Collapse
CreateIndex { config, created_on, description, 2 more }
config?: IndexDimensionConfiguration { dimensions, metric }
dimensions: number

Specifies the number of dimensions for the index

maximum1536
minimum1
metric: "cosine" | "euclidean" | "dot-product"

Specifies the type of metric to use calculating distance.

One of the following:
"cosine"
"euclidean"
"dot-product"
created_on?: string

Specifies the timestamp the resource was created as an ISO8601 string.

formatdate-time
description?: string

Specifies the description of the index.

modified_on?: string

Specifies the timestamp the resource was modified as an ISO8601 string.

formatdate-time
name?: string

List Vectorize Indexes

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const createIndex of client.vectorize.indexes.list({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
})) {
  console.log(createIndex.config);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "config": {
        "dimensions": 768,
        "metric": "cosine"
      },
      "created_on": "2022-11-15T18:25:44.442097Z",
      "description": "This is my example index.",
      "modified_on": "2022-11-15T18:25:44.442097Z",
      "name": "example-index"
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "config": {
        "dimensions": 768,
        "metric": "cosine"
      },
      "created_on": "2022-11-15T18:25:44.442097Z",
      "description": "This is my example index.",
      "modified_on": "2022-11-15T18:25:44.442097Z",
      "name": "example-index"
    }
  ],
  "success": true
}